package _VisualDVM.Passes.All;
import _VisualDVM.GlobalData.Tasks.CompilationTask.CompilationTask;
import _VisualDVM.GlobalData.Tasks.Supervisor.Remote.RemoteCompilationSupervisor;
import _VisualDVM.Passes.SSH.TaskConnectionPass;
import _VisualDVM.ProjectData.Project.db_project_info;
public class RemoteCompilation extends TaskConnectionPass {
    public RemoteCompilation() {
        super(RemoteCompilationSupervisor.class);
    }
    @Override
    protected boolean canStart(Object... args) {
        supervisor.Init((CompilationTask) args[0], this, (db_project_info) args[1]);
        return true;
    }
}
